Subject: bug#4243 closed by Dan Nicolaescu <[email-masked]> (Re: bug#4243: Emacs 23 ido-mode vc-hg bug)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 24 Aug 2009 19:55:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4243: Emacs 23 ido-mode vc-hg bug

It has been closed by Dan Nicolaescu <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Dan Nicolaescu <[email-masked]> by
replying to this email.

-- 
4243: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4243
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4243: Emacs 23 ido-mode vc-hg bug
From: Dan Nicolaescu <[email-masked]>
To: Tracy Reed <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Aug 2009 12:47:31 -0700 (PDT)

Tracy Reed <[email-masked]> writes:

  > On Mon, Aug 24, 2009 at 12:30:54PM -0700, Tracy Reed spake thusly:
  > > Not a command line flag but the command:
  > > 
  > > hg help env 
  > > 
  > > mentions the HGRCPATH environment variable. It is a typical :
  > 
  > Hmm...the hg guys warn that disabling reading of the users .hgrc file
  > would "mess up the ability to utilize any extensions the user has
  > enabled, committing would be problematic as the username wouldn't be
  > set, and so on." So...

I am closing this bug then, there's nothing we can do in emacs.
This sounds like a design bug in mercurial, tools (like emacs in this
case) cannot rely on getting consistent output from hg commands.

Subject: Emacs 23 ido-mode vc-hg bug
From: Tracy Reed <[email-masked]>
To: [email-masked]
Date: Sun, 23 Aug 2009 16:03:21 -0700

When I start emacs 23.1.1 which I compiled myself from code downloaded
from the official site:

GNU Emacs 23.1.1 (x86_64-unknown-linux-gnu) of 2009-08-05 on mail.copilotco.com

using emacs -Q (so my .emacs and site-lisp are not involved) I run
into an error when I activate ido-mode and try to exit emacs with
ctrl-x ctrl-c. Here is what appears in my Messages buffer:

("emacs" "-Q")
For information about GNU Emacs and the GNU system, type C-h C-a.
Ido mode enabled
Loading tramp...done
Quit [2 times]
(No files need saving)
Saving file /home/treed/.ido.last...
Loading vc-hg...done
Wrote /home/treed/.ido.last
vc-hg-registered: Args out of range: "", 0

I started emacs with -Q, then I did M-x ido-mode, then I did ctrl-x
ctrl-c. Then I get the:

vc-hg-registered: Args out of range: "", 0

error. I cannot exit emacs. I have to ctrl-z and kill it.  I suspect
vc-hg might have been activated because my home directory is under hg
version control. I'm not sure why it says "Loading tramp" there. I
did not do anything with tramp.

Please advise of any fixes/workarounds or if there is any more
information I can provide or anything I can do to resolve this.

Thanks!

-- 
Tracy Reed
http://copilotco.com